# $Revision: 1.7 $, $Date: 2004/12/27 16:37:05 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	WWW
%define		pnam	GMail
Summary:	WWW::GMail - Perl extension for accessing Google Mail (gmail)
Summary(pl):	WWW::GMail - Rozszerzenie Perla do obsugi poczty Google (gmail)
Name:		perl-WWW-GMail
Version:	0.03
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	dfd5278baff90000aa443949f927abb4
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl extension allows allows retrieval of message lists, and raw
messages from Google Mail (GMail) account.

%description -l pl
To rozszerzenie Perla pozwala na pobranie listy wiadomoci oraz treci
poszczeglnych listw z konta Google Mail (GMail).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/WWW/*.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-WWW-GMail.spec,v $
Revision 1.7  2004/12/27 16:37:05  adamg
- updated to 0.03

Revision 1.6  2004/12/03 14:51:45  radek
- cosmetics

Revision 1.5  2004/12/03 14:47:28  radek
- autoupdated to 0.02

Revision 1.4  2004/11/03 22:30:53  paladine
- formatting

Revision 1.3  2004/10/31 22:36:06  paladine
- spaces->tabs
- formatting

Revision 1.2  2004/09/06 20:54:05  qboosh
- s/maili/listw/

Revision 1.1  2004/09/05 15:33:44  adamg
- new
